// $Id: drupalit.js,v 1.1 2007/04/24 17:44:42 tic2000 Exp $

Drupal.drupalit = function() {
  var vdb = [];
  $('div.vote-wrap').each(function () {
    // Read in the path to the PHP handler	
    uri = $(this).children('a').attr('href');
    // Remove the title, so no tooltip will display
    $(this).removeAttr('title');
	// remove href link
	$(this).children('a').removeAttr('href');
    // Create an object with this uri. Because
    // we feed in the div as an argument, we'll be able
    // to attach events to this element.
    if (!vdb[uri]) {
      vdb[uri] = new Drupal.VDB(this, uri);
    }
  });
}

/**
 * A Vote DataBase object
 */
Drupal.VDB = function(elt, uri, id) {
  var db = this;
  // By making the span element a property of this object,
  // we get the ability to attach behaviours to that element.
  this.elt = elt;
  this.uri = uri;
  this.id = $(elt).attr('id');
  $(elt).children('a').click(function() {
    // Ajax GET request for vote data
    $.ajax({
      type: "GET",
      url: db.uri,
      success: function (data) {
        // extract the cid so we can change other elements for the same cid
        var cid = db.id.match(/[0-9]+$/);
        var pid = 'vote-wrap-' + cid;
        // update the points
        $('#' + pid).html(data);
      },
      error: function (xmlhttp) {
        alert('An HTTP error '+ xmlhttp.status +' occured.\n'+ db.uri);
      }
    });
  });
}

// Global killswitch
if (Drupal.jsEnabled) {
  $(document).ready(Drupal.drupalit);
}